cURL
curl --request GET \
--url https://api.camposcloud.com/v1/apps/{appId}/files \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.camposcloud.com/v1/apps/{appId}/files"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.camposcloud.com/v1/apps/{appId}/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"isDirectory": true,
"content": "<string>",
"files": [
{
"name": "emojis.json",
"isDirectory": false,
"isFile": true,
"path": "/Database/emojis.json",
"size": 3330,
"createdAt": "2025-07-19T16:02:44.426Z",
"modifiedAt": "2025-07-19T16:02:44.426Z"
}
],
"prevPath": null,
"currentPath": "/Database"
}{
"error": "Not found"
}File System
/v1/apps/{appId}/files
This endpoint retrieves the files of an application by its ID.
GET
/
v1
/
apps
/
{appId}
/
files
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the application to retrieve files from
Query Parameters
The path within the application to retrieve files from. If not provided, retrieves files from the root directory.
Response
Files retrieved successfully
Indicates if the current path is a directory
Example:
true
Content of the current file. If the current path is a directory, this will be null.
List of files and directories in the current path, if the current path is a directory or null if it is a file
Show child attributes
Show child attributes
The previous path in the file system. If the current path is the root directory, this will be null.
Example:
null
The current path in the file system
Example:
"/Database"